Cascade
Account

Get Stats

Retrieve account statistics

GET
/account/stats

Query Parameters

accountstring

Identifies the user whose stats are to be retrieved. Caller must be authenticated as this account or a delegate.

subaccountIndexinteger

Identifies the subaccount to retrieve stats for.

Formatint32
Range0 <= value

Response Body

application/json

text/plain

text/plain

curl -X GET "https://engine.cascade.cooking/account/stats?account=0xe1c03ec3bcf509b3e8e63abcd03edc661ffe6a78&subaccountIndex=0"
{
  "account": "0xe1c03ec3bcf509b3e8e63abcd03edc661ffe6a78",
  "accountValue": "10000.0",
  "crossEquity": "9500.0",
  "crossLeverage": "2.5",
  "crossMarginRatio": "0.4",
  "crossMarginUsage": "0.38",
  "freeCollateral": "4400.0",
  "freeCollateralCross": "4400.0",
  "initialMarginRequirement": "5100.0",
  "maintMargin": "5000.123",
  "subaccountIndex": 0,
  "upnl": "1234.567"
}
"Delegation not allowed for request"
"string"